:mod:`webob` -- WebOb
=====================

.. currentmodule:: webob
.. automodule:: webob

.. autoclass:: Request
    :members:

.. autoclass:: Response
    :members:

.. autofunction:: html_escape
.. autofunction:: timedelta_to_seconds

.. autoclass:: FakeCGIBody
    :members:
.. autoclass:: ResponseBodyFile
    :members:
.. autoclass:: AppIterRange
    :members:
.. autofunction:: _rfc_reference
.. autofunction:: _cgi_FieldStorage__repr__patch


:mod:`webob.acceptparse`
------------------------
.. currentmodule:: webob.acceptparse

.. autoclass:: Accept
    :members:
.. autoclass:: NilAccept
    :members:
.. autoclass:: NoAccept
    :members:
.. autoclass:: MIMEAccept
    :members:
.. autoclass:: MIMENilAccept
    :members:

.. autofunction:: parse_accept


:mod:`webob.byterange`
------------------------
.. currentmodule:: webob.byterange
.. automodule:: webob.byterange
.. autoclass:: Range
    :members:
.. autoclass:: ContentRange
    :members:


:mod:`webob.cachecontrol`
-------------------------
.. currentmodule:: webob.cachecontrol
.. automodule:: webob.cachecontrol
.. autoclass:: exists_property
    :members:
.. autoclass:: value_property
    :members:
.. autoclass:: CacheControl
    :members:
.. autofunction:: serialize_cache_control



:mod:`webob.datastruct`
------------------------
.. currentmodule:: webob.datastruct
.. automodule:: webob.datastruct
.. autoclass:: EnvironHeaders
    :members:

:mod:`webob.etag`
------------------------
.. currentmodule:: webob.etag
.. automodule:: webob.etag
.. autodata:: AnyETag
.. autodata:: NoETag
.. autoclass:: ETagMatcher
    :members:
.. autoclass:: IfRange
    :members:
.. autodata:: NoIfRange


mod:`webob.exc`
------------------------
.. currentmodule:: webob.exc
.. automodule:: webob.exc
.. autofunction:: no_escape
.. autofunction:: strip_tags
.. autoclass:: HTTPException
.. autoclass:: WSGIHTTPException
.. autoclass:: HTTPError
.. autoclass:: HTTPRedirection
.. autoclass:: HTTPOk
.. autoclass:: HTTPCreated
.. autoclass:: HTTPAccepted
.. autoclass:: HTTPNonAuthoritativeInformation
.. autoclass:: HTTPNoContent
.. autoclass:: HTTPResetContent
.. autoclass:: HTTPPartialContent
.. autoclass:: HTTPMultipleChoices
.. autoclass:: HTTPMovedPermanently
.. autoclass:: HTTPFound
.. autoclass:: HTTPSeeOther
.. autoclass:: HTTPNotModified
.. autoclass:: HTTPUseProxy
.. autoclass:: HTTPTemporaryRedirect
.. autoclass:: HTTPClientError
.. autoclass:: HTTPBadRequest
.. autoclass:: HTTPUnauthorized
.. autoclass:: HTTPPaymentRequired
.. autoclass:: HTTPForbidden
.. autoclass:: HTTPNotFound
.. autoclass:: HTTPMethodNotAllowed
.. autoclass:: HTTPNotAcceptable
.. autoclass:: HTTPProxyAuthenticationRequired
.. autoclass:: HTTPRequestTimeout
.. autoclass:: HTTPConflict
.. autoclass:: HTTPGone
.. autoclass:: HTTPLengthRequired
.. autoclass:: HTTPPreconditionFailed
.. autoclass:: HTTPRequestEntityTooLarge
.. autoclass:: HTTPRequestURITooLong
.. autoclass:: HTTPUnsupportedMediaType
.. autoclass:: HTTPRequestRangeNotSatisfiable
.. autoclass:: HTTPExpectationFailed
.. autoclass:: HTTPUnprocessableEntity
.. autoclass:: HTTPLocked
.. autoclass:: HTTPFailedDependency
.. autoclass:: HTTPServerError
.. autoclass:: HTTPInternalServerError
.. autoclass:: HTTPNotImplemented
.. autoclass:: HTTPBadGateway
.. autoclass:: HTTPServiceUnavailable
.. autoclass:: HTTPGatewayTimeout
.. autoclass:: HTTPVersionNotSupported
.. autoclass:: HTTPInsufficientStorage
.. autoclass:: HTTPExceptionMiddleware

:mod:`webob.headerdict`
------------------------
.. currentmodule:: webob.headerdict
.. automodule:: webob.headerdict
.. autoclass:: HeaderDict
    :members:


:mod:`webob.multidict`
------------------------
.. currentmodule:: webob.multidict
.. automodule:: webob.multidict
.. autoclass:: MultiDict
    :members:
.. autoclass:: UnicodeMultiDict
    :members:
.. autoclass:: NestedMultiDict
    :members:
.. autoclass:: NoVars
    :members:

:mod:`webob.statusreasons`
--------------------------
.. currentmodule:: webob.statusreasons
.. automodule:: webob.statusreasons


:mod:`webob.updatedict`
------------------------
.. currentmodule:: webob.updatedict
.. automodule:: webob.updatedict
.. autoclass:: UpdateDict
    :members:














